Bug 1619744 - Provisioning a VM on GCE produces errorneous requests
Summary: Provisioning a VM on GCE produces errorneous requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Tomas Coufal
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On: 1625118
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-21 15:55 UTC by Jaroslav Henner
Modified: 2019-08-22 00:55 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
cfme log (343.97 KB, text/plain)
2018-08-21 15:58 UTC, Jaroslav Henner
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:38 UTC

Description Jaroslav Henner 2018-08-21 15:55:19 UTC
Description of problem:
When provisioning instance on GCE, The requests switches various states and statuses from unknown-pending trough OK-pending to error-finished. 

It seems like when request with cloud-init script is created, the "Last Message" is:

[EVM] VM [jhenner-test] Step [CheckProvisioned] Status [Error Creating VM] Message [[ArgumentError]: wrong number of arguments (given 1, expected 0)] 

but this is not required condition to make the request fail.

Note that in the CFME, it looks like the VM is created fine as it can be found among the cloud instances


Version-Release number of selected component (if applicable):
Version 5.9.4.4.20180816162527_c00eb23 

How reproducible:
3/3

Steps to Reproduce:
1. Go trough the instance provisioning dialogue, fill all the required params
2. Optionally select  Customize -> Customize Template: cloud-init
3. Submit
4. Observe the request statuses.

Actual results:
Request status changes and won't finish on OK

Expected results:
Request status changes and finishes fine with and without cloud-init

Additional info:
It may be possible that the disk of the VM may be left present on storage even after VM deleted using CFME.

Comment 2 Jaroslav Henner 2018-08-21 15:58:30 UTC
Created attachment 1477636 [details]
cfme log

Comment 3 Greg McCullough 2018-08-21 16:26:30 UTC
There is an outstanding PR for the cloud-init issue here: https://github.com/ManageIQ/manageiq-providers-google/pull/66

The BZ description is confusing since it talks about cloud-init but says it is not required.  I expect the PR above will fix the first issue.

So, without cloud-init involved can you detail what the issue you are reporting is?

Comment 5 Jaroslav Henner 2018-08-27 11:03:37 UTC
The problem with creating a CM with cloud-init is present on 5.10 as well as on 5.9

Comment 6 Jaroslav Henner 2018-08-27 11:31:33 UTC
(In reply to Greg McCullough from comment #3)
> There is an outstanding PR for the cloud-init issue here:
> https://github.com/ManageIQ/manageiq-providers-google/pull/66
> 
> The BZ description is confusing since it talks about cloud-init but says it
> is not required.  I expect the PR above will fix the first issue.
> 
> So, without cloud-init involved can you detail what the issue you are
> reporting is?

Ok scratch that it is not required condition. I cannot reproduce the problem without the cloud-init being involved now.

Comment 7 Tomas Coufal 2018-08-28 09:28:21 UTC
PR in review: https://github.com/ManageIQ/manageiq-providers-google/pull/69

Comment 8 Tomas Coufal 2018-08-28 17:06:13 UTC
Merged!

Comment 9 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.